Skip to content

List therapy groups

GET https://api.moalmanac.org/therapy_groups

Retrieves Therapy Groups from the database.

Parameters

Name Type Description Example
therapy_group_id string Return only the therapy group with this id.

Example request

curl "https://api.moalmanac.org/therapy_groups"

Response

Returns the standard response envelope, with data set to a list of TherapyGroup records.

Example response
{
  "meta": {
    "data_length": 1,
    "message": "Therapy groups retrieved successfully",
    "request_url": "https://api.moalmanac.org/therapy_groups",
    "status": "success",
    "status_code": 200,
    "timestamp_elapsed": 0.012345,
    "timestamp_received": "2026-10-16T14:03:12.123456Z",
    "timestamp_returned": "2026-10-16T14:03:12.135801Z",
    "trace_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  },
  "service": {
    "github": "https://github.com/vanallenlab/moalmanac-db",
    "name": "Molecular Oncology Almanac",
    "license": "GPL-2.0",
    "release": "draft",
    "url": "https://moalmanac.org",
    "last_updated": "2026-10-08"
  },
  "data": [
    {
      "id": "txgrp:18",
      "membershipOperator": "AND",
      "therapies": [
        {
          "id": "tx:ncit:C82386",
          "conceptType": "Therapy",
          "name": "Dabrafenib",
          "mappings": [
            {
              "relation": "relatedMatch",
              "coding": {
                "id": "coding:rxcui:1424911",
                "code": "1424911",
                "name": "dabrafenib",
                "system": "RxNorm",
                "systemVersion": "02-Mar-2026",
                "iris": [
                  "https://mor.nlm.nih.gov/RxNav/search?searchBy=RXCUI&searchTerm=1424911"
                ]
              }
            },
            {
              "relation": "relatedMatch",
              "coding": {
                "id": "coding:omop:43532299",
                "code": "43532299",
                "name": "dabrafenib",
                "system": "OMOP",
                "systemVersion": "v20260227",
                "iris": [
                  "https://athena.ohdsi.org/search-terms/terms/43532299"
                ]
              }
            }
          ],
          "extensions": [
            {
              "name": "therapy_strategy",
              "value": [
                "B-RAF inhibition"
              ],
              "description": "Associated therapeutic strategy or mechanism of action of the therapy."
            },
            {
              "name": "therapy_type",
              "value": "Targeted therapy",
              "description": "Type of cancer treatment from cancer.gov: https://www.cancer.gov/about-cancer/treatment/types"
            }
          ],
          "primaryCoding": {
            "id": "coding:ncit:C82386",
            "code": "C82386",
            "name": "Dabrafenib",
            "system": "https://evsexplore.semantics.cancer.gov",
            "systemVersion": "26.08e",
            "iris": [
              "https://evsexplore.semantics.cancer.gov/evsexplore/concept/ncit/C82386"
            ]
          }
        },
        {
          "id": "tx:ncit:C77908",
          "conceptType": "Therapy",
          "name": "Trametinib",
          "mappings": [
            {
              "relation": "relatedMatch",
              "coding": {
                "id": "coding:rxcui:1425099",
                "code": "1425099",
                "name": "trametinib",
                "system": "RxNorm",
                "systemVersion": "02-Mar-2026",
                "iris": [
                  "https://mor.nlm.nih.gov/RxNav/search?searchBy=RXCUI&searchTerm=1425099"
                ]
              }
            },
            {
              "relation": "relatedMatch",
              "coding": {
                "id": "coding:omop:43532497",
                "code": "43532497",
                "name": "trametinib",
                "system": "OMOP",
                "systemVersion": "v20260227",
                "iris": [
                  "https://athena.ohdsi.org/search-terms/terms/43532497"
                ]
              }
            }
          ],
          "extensions": [
            {
              "name": "therapy_strategy",
              "value": [
                "MEK inhibition"
              ],
              "description": "Associated therapeutic strategy or mechanism of action of the therapy."
            },
            {
              "name": "therapy_type",
              "value": "Targeted therapy",
              "description": "Type of cancer treatment from cancer.gov: https://www.cancer.gov/about-cancer/treatment/types"
            }
          ],
          "primaryCoding": {
            "id": "coding:ncit:C77908",
            "code": "C77908",
            "name": "Trametinib",
            "system": "https://evsexplore.semantics.cancer.gov",
            "systemVersion": "26.08e",
            "iris": [
              "https://evsexplore.semantics.cancer.gov/evsexplore/concept/ncit/C77908"
            ]
          }
        }
      ]
    }
  ]
}